<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>discover: /home/pere/src/debiancvs/pkg-discover/discover/trunk/include/discover/sysdep.h File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.4.2 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="dirs.html">Directories</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindex" href="globals.html">Globals</a></div>
<div class="nav">
<a class="el" href="dir_000000.html">include</a>&nbsp;/&nbsp;<a class="el" href="dir_000001.html">discover</a></div>
<h1>sysdep.h File Reference</h1>Private interface for system dependencies. <a href="#_details">More...</a>
<p>

<p>
<a href="sysdep_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Typedefs</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <a class="el" href="structdiscover__sysdep__device__data.html">discover_sysdep_device_data</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="sysdep_8h.html#a0">discover_sysdep_device_data_t</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <a class="el" href="structdiscover__sysdep__data.html">discover_sysdep_data</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="sysdep_8h.html#a1">discover_sysdep_data_t</a></td></tr>

<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structdiscover__sysdep__data.html">discover_sysdep_data_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="sysdep_8h.html#a2">_discover_sysdep_data_new</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structdiscover__sysdep__device__data.html">discover_sysdep_device_data_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="sysdep_8h.html#a3">_discover_sysdep_device_data_new</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="sysdep_8h.html#a4">_discover_free_sysdep_data</a> (<a class="el" href="structdiscover__sysdep__data.html">discover_sysdep_data_t</a> *)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="sysdep_8h.html#a5">_discover_free_sysdep_device_data</a> (<a class="el" href="structdiscover__sysdep__device__data.html">discover_sysdep_device_data_t</a> *)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structdiscover__sysdep__data.html">discover_sysdep_data_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__sysdeps.html#ga0">_discover_get_ata_raw</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structdiscover__sysdep__data.html">discover_sysdep_data_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__sysdeps.html#ga1">_discover_get_pci_raw</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structdiscover__sysdep__data.html">discover_sysdep_data_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__sysdeps.html#ga4">_discover_get_usb_raw</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structdiscover__sysdep__data.html">discover_sysdep_data_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__sysdeps.html#ga2">_discover_get_pcmcia_raw</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structdiscover__sysdep__data.html">discover_sysdep_data_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__sysdeps.html#ga3">_discover_get_scsi_raw</a> (void)</td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Private interface for system dependencies. 
<p>

<p>
Definition in file <a class="el" href="sysdep_8h-source.html">sysdep.h</a>.<hr><h2>Typedef Documentation</h2>
<a class="anchor" name="a1" doxytag="sysdep.h::discover_sysdep_data_t"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">typedef struct <a class="el" href="structdiscover__sysdep__data.html">discover_sysdep_data</a>  <a class="el" href="structdiscover__sysdep__data.html">discover_sysdep_data_t</a>          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Linked list node, used to return hardware-identification information discovered by the system-dependent interface     </td>
  </tr>
</table>
<a class="anchor" name="a0" doxytag="sysdep.h::discover_sysdep_device_data_t"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">typedef struct <a class="el" href="structdiscover__sysdep__device__data.html">discover_sysdep_device_data</a>  <a class="el" href="structdiscover__sysdep__device__data.html">discover_sysdep_device_data_t</a>          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Linked list node, used to return data specific to the sysdep/device in question, to be passed to the user under the "device" data path.     </td>
  </tr>
</table>
<hr><h2>Function Documentation</h2>
<a class="anchor" name="a4" doxytag="sysdep.h::_discover_free_sysdep_data"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">void _discover_free_sysdep_data           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top"><a class="el" href="structdiscover__sysdep__data.html">discover_sysdep_data_t</a> *&nbsp;</td>
          <td class="mdname1" valign="top" nowrap> <em>head</em>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Release the memory that the sysdep data was holding. 
<p>
Definition at line <a class="el" href="sysdep_8c-source.html#l00092">92</a> of file <a class="el" href="sysdep_8c-source.html">sysdep.c</a>.
<p>
References <a class="el" href="sysdep_8c-source.html#l00117">_discover_free_sysdep_device_data()</a>, <a class="el" href="sysdep_8h-source.html#l00058">discover_sysdep_data::busclass</a>, <a class="el" href="sysdep_8h-source.html#l00064">discover_sysdep_data::data</a>, <a class="el" href="sysdep_8h-source.html#l00062">discover_sysdep_data::model</a>, <a class="el" href="sysdep_8h-source.html#l00066">discover_sysdep_data::next</a>, and <a class="el" href="sysdep_8h-source.html#l00060">discover_sysdep_data::vendor</a>.
<p>
Referenced by <a class="el" href="sysdep_8c-source.html#l00206">discover_get_devices()</a>.    </td>
  </tr>
</table>
<a class="anchor" name="a5" doxytag="sysdep.h::_discover_free_sysdep_device_data"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">void _discover_free_sysdep_device_data           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top"><a class="el" href="structdiscover__sysdep__device__data.html">discover_sysdep_device_data_t</a> *&nbsp;</td>
          <td class="mdname1" valign="top" nowrap> <em>head</em>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Release memory being held by device-specific data. 
<p>
Definition at line <a class="el" href="sysdep_8c-source.html#l00117">117</a> of file <a class="el" href="sysdep_8c-source.html">sysdep.c</a>.
<p>
References <a class="el" href="sysdep_8h-source.html#l00049">discover_sysdep_device_data::next</a>, <a class="el" href="sysdep_8h-source.html#l00045">discover_sysdep_device_data::path</a>, and <a class="el" href="sysdep_8h-source.html#l00047">discover_sysdep_device_data::value</a>.
<p>
Referenced by <a class="el" href="sysdep_8c-source.html#l00092">_discover_free_sysdep_data()</a>.    </td>
  </tr>
</table>
<a class="anchor" name="a2" doxytag="sysdep.h::_discover_sysdep_data_new"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"><a class="el" href="structdiscover__sysdep__data.html">discover_sysdep_data_t</a>* _discover_sysdep_data_new           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">void&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Create a new instance of sysdep data. 
<p>
Definition at line <a class="el" href="sysdep_8c-source.html#l00066">66</a> of file <a class="el" href="sysdep_8c-source.html">sysdep.c</a>.
<p>
References <a class="el" href="sysdep_8h-source.html#l00058">discover_sysdep_data::busclass</a>, <a class="el" href="sysdep_8h-source.html#l00064">discover_sysdep_data::data</a>, <a class="el" href="sysdep_8h-source.html#l00062">discover_sysdep_data::model</a>, <a class="el" href="sysdep_8h-source.html#l00066">discover_sysdep_data::next</a>, and <a class="el" href="sysdep_8h-source.html#l00060">discover_sysdep_data::vendor</a>.    </td>
  </tr>
</table>
<a class="anchor" name="a3" doxytag="sysdep.h::_discover_sysdep_device_data_new"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"><a class="el" href="structdiscover__sysdep__device__data.html">discover_sysdep_device_data_t</a>* _discover_sysdep_device_data_new           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">void&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Create a new instance of sysdep device data. 
<p>
Definition at line <a class="el" href="sysdep_8c-source.html#l00080">80</a> of file <a class="el" href="sysdep_8c-source.html">sysdep.c</a>.
<p>
References <a class="el" href="sysdep_8h-source.html#l00049">discover_sysdep_device_data::next</a>, <a class="el" href="sysdep_8h-source.html#l00045">discover_sysdep_device_data::path</a>, and <a class="el" href="sysdep_8h-source.html#l00047">discover_sysdep_device_data::value</a>.    </td>
  </tr>
</table>
<hr size="1"><address style="align: right;"><small>Generated on Thu Jul 28 03:38:00 2005 for discover by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.2 </small></address>
</body>
</html>
